Package LaTeX tptlibressavoirs
------------------------------

Copyright © Cédric Ware et l'Institut Mines-Télécom, 2007-2014.
Tous droits réservés. Tous les logos appartiennent à leurs institutions
respectives. L'utilisation est réservée au personnel de Télécom ParisTech
et ses étudiants. Pour plus d'informations, contacter :
sitepedago@telecom-paristech.fr .

Ce package contient des fichiers de style et des pictogrammes et logos pour
les présentations et polycopiés Libres Savoirs.  La version la plus récente
est disponible à l'adresse :
http://perso.telecom-paristech.fr/~ware/soft/tptlibressavoirs/


Démarrage rapide
----------------

Si le package n'est pas déjà installé sur votre système (sous Unix, voyez
p.ex. si la commande "kpsewhich tptbranding.sty" affiche un répertoire),
alors :

-- Téléchargez :
   http://perso.telecom-paristech.fr/~ware/soft/tptlibressavoirs/tptlibressavoirs-latest.zip

-- Décompactez l'archive dans un répertoire de travail de votre choix.

-- Copiez et éditez l'un des fichiers .tex d'exemple du sous-répertoire doc/ .


Installation
------------

L'installation peut se faire via l'une des quatre méthodes suivantes,
au choix, suivant celle qui convient le mieux à votre système.

-- Démarrage rapide : voir ci-dessus, recopier les fichiers extraits
   dans un nouveau répertoire pour chaque nouveau document.

-- Recopie directe : décompacter tptlibressavoirs-latest.zip
   où de droit pour les packages LaTeX locaux.

-- Direct copy:

   * Téléchargez le package précompilé depuis l'adresse :
     http://perso.telecom-paristech.fr/~ware/soft/tptlibressavoirs/tptlibressavoirs-latest.zip

   * Décompactez les fichiers à l'endroit où votre système LaTeX trouve les
     packages installés localement (p.ex. /usr/local/share/texmf/tex/latex/...)

-- Packages Debian (systèmes Debian GNU/Linux) :

   * Des packages Debian sont disponibles sur :
     http://perso.telecom-paristech.fr/~ware/soft/tptlibressavoirs/
     (téléchargez les .deb; par de dépôt Apt dédié en place à ce jour).

   * Alternativement, on peut créer des packages à partir des sources.
     Téléchargez :
     http://perso.telecom-paristech.fr/~ware/soft/tptlibressavoirs/tptlibressavoirs-source-latest.zip

   * Décompactez cette archive dans un répertoire de travail de votre choix,
     allez dans le sous-répertoire tptlibressavoirs-<version>.

   * Exécutez "dpkg-buildpackage".

-- À partir des sources (systèmes Unix) :

   * La compilation nécessite une installation LaTeX fonctionnelle, Make,
     Perl 5.8 ou ultérieur, et la commande fig2dev du package transfig.

   * Téléchargez les sources depuis :
     http://perso.telecom-paristech.fr/~ware/soft/tptlibressavoirs/tptlibressavoirs-source-latest.zip

   * Décompactez cette archive dans un répertoire de travail de votre choix,
     allez dans le sous-répertoire tptlibressavoirs-<version>.

   * Exécutez la commande "./configure" pour configurer le système de
     compilation. Elle détectera automatiquement le préfixe d'installation
     et assimilés. On peut spécifier d'autres valeurs via des paramètres,
     documentés via l'affichage de "./configure --help".

   * Exécutez "make" pour compiler le package et les exemples, puis
     "make install" (en tant que root, ou via sudo) pour les installer.
